// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using Hyak.Common;

namespace Microsoft.Azure.Management.Internal.Resources.Models
{
    /// <summary>
    /// List of subscription tags.
    /// </summary>
    public partial class TagsListResult : AzureOperationResponse
    {
        private string _nextLink;
        
        /// <summary>
        /// Required. Gets or sets the URL to get the next set of results.
        /// </summary>
        public string NextLink
        {
            get { return this._nextLink; }
            set { this._nextLink = value; }
        }
        
        private IList<TagDetails> _tags;
        
        /// <summary>
        /// Optional. Gets or sets the list of tags.
        /// </summary>
        public IList<TagDetails> Tags
        {
            get { return this._tags; }
            set { this._tags = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the TagsListResult class.
        /// </summary>
        public TagsListResult()
        {
            this.Tags = new LazyList<TagDetails>();
        }
        
        /// <summary>
        /// Initializes a new instance of the TagsListResult class with
        /// required arguments.
        /// </summary>
        public TagsListResult(string nextLink)
            : this()
        {
            if (nextLink == null)
            {
                throw new ArgumentNullException("nextLink");
            }
            this.NextLink = nextLink;
        }
    }
}
